%define mainrel 9
%define date    20240228
%define rel 1

Name:           openxcom
Version:        1.0.0
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        An open source reimplementation of the original X-Com game
Group:          Games/Strategy
License:        GPLv3+
Url:            https://openxcom.org
# Last stable release (1.0.0) is deprecated, upstream now only distributed nightlies
# https://github.com/OpenXcom/OpenXcom
# memo:
#git archive --prefix=openxcom-1.0.0+${date}/ --output=openxcom-1.0.0+${date}.tar.xz master
Source0:        %{name}-%{version}+%{date}.tar.xz
Source1:        %{name}.6

BuildRequires:  cmake
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(yaml-cpp)
BuildRequires:  dos2unix

%description
OpenXcom is an open-source clone of the original UFO: Enemy Unknown
(X-Com: UFO Defense in USA), licensed under the GPL and written in C++ / SDL.

The goal of the project is to bring back the tried and true feel of the original
with none of the issues. All the same graphics, sound and gameplay with a brand
new codebase written from scratch.

User is required to have original gamedata (possible to obtain from e.g. Steam)
installed to ~/.local/share/openxcom/data/

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%cmake \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir} \
    -DBUILD_PACKAGE=OFF \
    -DDEV_BUILD=OFF \
    -DOPENXCOM_VERSION_STRING="%{version}+%{date}"
%cmake_build

%install
%cmake_install

# Manpage generation only available with autotools, and requires 2GB of latex...
install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

%files
%doc README.md CHANGELOG.txt
%license LICENSE.txt
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*


%changelog
* Fri Apr 26 2024 daviddavid <daviddavid> 1.0.0-9.20240228.1.mga10
+ Revision: 2061139
- update to latest got snapshot from 20240228

* Thu Apr 25 2024 daviddavid <daviddavid> 1.0.0-9.20181119.6.mga10
+ Revision: 2061089
- rebuild for new yaml-cpp 0.8.0

* Tue Dec 27 2022 daviddavid <daviddavid> 1.0.0-9.20181119.5.mga9
+ Revision: 1927152
- rebuild for new yaml-cpp 0.7.0

* Fri Apr 01 2022 umeabot <umeabot> 1.0.0-9.20181119.4.mga9
+ Revision: 1839752
- Mageia 9 Mass Rebuild

* Sun Feb 23 2020 daviddavid <daviddavid> 1.0.0-9.20181119.3.mga8
+ Revision: 1549559
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Dec 28 2018 luigiwalser <luigiwalser> 1.0.0-9.20181119.2.mga7
+ Revision: 1345729
- rebuild for SDL_gfx

* Tue Nov 20 2018 akien <akien> 1.0.0-9.20181119.1.mga7
+ Revision: 1332231
- Update to today's upstream snapshot, fixes build
- Drop doc package and latex build dep
- Rebuild for yaml-cpp 0.6.2

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-7.mga7
+ Revision: 1300051
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 daviddavid <daviddavid> 1.0.0-6.mga7
+ Revision: 1200183
- compile with --disable-werror configure option thus fixing build
+ solbu <solbu>
- Fix license tag: Code is «gplv3 or later», not just gplv3

* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 956571
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 1.0.0-4.mga6
+ Revision: 870430
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 747759
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jul 14 2014 akien <akien> 1.0.0-1.mga5
+ Revision: 651818
- import openxcom (based off the openSUSE SRPM)

